Gazebo | Ignition | Community
Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Missing library when running gazebo

I followed installation directions in http://gazebosim.org/tutorials?tut=install_ubuntu and tried both one-liner and step-by-step options. However when I try to check if gazebo has been installed and run command gazebo, I get the following error:

gzserver: error while loading shared libraries: libdart-collision-bullet.so.6: cannot open shared object file: No such file or directory

I have tried locating the lmissing library by running locate libdart-collision-bullet.so.6 and I get

/usr/lib/x86_64-linux-gnu/libdart-collision-bullet.so.6.9
/usr/lib/x86_64-linux-gnu/libdart-collision-bullet.so.6.9.5
/usr/local/lib/libdart-collision-bullet.so.6.8
/usr/local/lib/libdart-collision-bullet.so.6.8.2

I have also tried installing libdart from source but I get the same error. Would appreciate a solution to this issue.